%global dlrn_nvr rsd-lib-1.1.0-2.20210527184430.6e1ba65
%global dlrn 1
%define upstream_version 1.1.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname rsd-lib
%global pyname rsd_lib

%global with_doc 0

Name:           python-%{sname}
Version: 1.1.0
Release: 2.20210527184430.6e1ba65%{?dist}.1
Summary:        Python library for interfacing with Intel Rack Scale Design enabled hardware.

License:        ASL 2.0
URL:            http://git.openstack.org/cgit/openstack/%{sname}
Source0: rsd-lib-1.1.0-2.20210527184430.6e1ba65.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=6e1ba65d28574dc5f9e7bf907f500acea93a4630

BuildArch:      noarch

%description
This library extends the existing Sushy library to include functionality for
Intel RackScale Design enabled hardware. Capabilities include logical node
composition and decomposition, remote storage discovery and composition,
and NVMe over PCIe drive attaching and detaching to logical nodes.

%package -n     python%{pyver}-%{sname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{pyver}-%{sname}}

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-jsonschema
BuildRequires:  python%{pyver}-pbr >= 2.0
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-sushy >= 1.8.1
BuildRequires:  python%{pyver}-sushy-tests >= 1.7.0

Requires:       python%{pyver}-jsonschema
Requires:       python%{pyver}-pbr >= 2.0
Requires:       python%{pyver}-sushy >= 1.8.1

%description -n python%{pyver}-%{sname}
This library extends the existing Sushy library to include functionality for
Intel RackScale Design enabled hardware. Capabilities include logical node
composition and decomposition, remote storage discovery and composition,
and NVMe over PCIe drive attaching and detaching to logical nodes.

%package -n python%{pyver}-%{sname}-tests
Summary: rsd-lib tests

BuildRequires: python%{pyver}-devel

Requires: python%{pyver}-%{sname} = %{version}-%{release}
Requires: python%{pyver}-jsonschema
Requires: python%{pyver}-pbr
Requires: python%{pyver}-setuptools
Requires: python%{pyver}-sushy >= 1.8.1
Requires: python%{pyver}-sushy-tests >= 1.7.0

%description -n python%{pyver}-%{sname}-tests
Tests for rsd-lib

%if 0%{?with_doc}
%package -n python-%{sname}-doc
Summary: rsd-lib documentation

BuildRequires: python%{pyver}-sphinx
BuildRequires: python%{pyver}-openstackdocstheme >= 1.11.0

%description -n python-%{sname}-doc
Documentation for rsd-lib
%endif

%prep
%autosetup -n %{sname}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
rm -f *requirements.txt

%build
# amoralej - disable warning-is-error until https://review.openstack.org/#/c/636292/ is tagged.
sed -i '/warning-is-error/d' setup.cfg

%{pyver_build}

%if 0%{?with_doc}
# generate html docs
%{pyver_bin} setup.py build_sphinx
# remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

%check
export PYTHON=%{pyver_bin}
# (TODO) ignore unit tests until rsd-lib is updated to 0.3.1
%{pyver_bin} setup.py test || true

%files -n python%{pyver}-%{sname}
%license LICENSE
%doc doc/source/readme.rst README.rst
%{pyver_sitelib}/%{pyname}
%{pyver_sitelib}/%{pyname}-*.egg-info
%exclude %{pyver_sitelib}/%{pyname}/tests

%files -n python%{pyver}-%{sname}-tests
%license LICENSE
%{pyver_sitelib}/%{pyname}/tests

%if 0%{?with_doc}
%files -n python-%{sname}-doc
%license LICENSE
%doc doc/build/html README.rst
%endif

%changelog
* Mon Jun 14 2021 CPaaS User <cpaas-ops@redhat.com> - 1.1.0-2.20210527184430.6e1ba65.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-2.20210527184430.6e1ba65
- Update patches

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.2.0-1
- Update patches

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 1.2.0-1
- Update patches

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.2.0-1
- Update patches

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 1.2.0-1
- Update patches

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 1.2.0-1
- Update patches

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 1.2.0-1
- Update patches

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> 1.2.0-1
- Reformat all files with black auto formatter
- Add get_resource method in RSD 2.4
- Add missing resource class in 2.3 RESOURCE_CLASS
- Allow to specify target URI in PUT/PATCH/POST method
- Add PUT, PATCH and POST method to base resource
- Add delete method to base resource class
- Use rsd-lib base resource class instead of sushy base class
- Update sushy dependency to 2.0.0
- Ignore vscode related files in .gitignore
- Strict sushy version to 1.8.1
- Add missing attribute in Chassis in RSD 2.3
- Add missing resource types in RSD 2.2
- Reformat all files with black auto formatter
- Add get_resource method in RSD 2.4
- Add missing resource class in 2.3 RESOURCE_CLASS
- Allow to specify target URI in PUT/PATCH/POST method
- Add PUT, PATCH and POST method to base resource
- Add delete method to base resource class
- Use rsd-lib base resource class instead of sushy base class
- Update sushy dependency to 2.0.0
- Ignore vscode related files in .gitignore
- Strict sushy version to 1.8.1
- Add missing attribute in Chassis in RSD 2.3
- Add missing resource types in RSD 2.2

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> 1.2.0-1
- Update patches
- Reformat all files with black auto formatter
- Add get_resource method in RSD 2.4
- Add missing resource class in 2.3 RESOURCE_CLASS
- Allow to specify target URI in PUT/PATCH/POST method
- Add PUT, PATCH and POST method to base resource
- Add delete method to base resource class
- Use rsd-lib base resource class instead of sushy base class
- Update sushy dependency to 2.0.0
- Ignore vscode related files in .gitignore
- Strict sushy version to 1.8.1
- Add missing attribute in Chassis in RSD 2.3
- Add missing resource types in RSD 2.2

* Tue Sep 24 2019 OSP Prod Chain <dev-null@redhat.com> 1.2.0-1
- Update patches

* Mon Sep 23 2019 RDO <dev@lists.rdoproject.org> 1.2.0-1
- Update to 1.2.0


